package com.muyu.market.admain;



import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "订单表",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Order extends BaseEntity {


    /**
     * 订单的唯一标识
     */
    @TableId(value = "productId",type = IdType.AUTO)
    private Long orderId;
    /**
     * 用户名
     */
    @Excel(name = "用户名")
    private String userName;
    /**
     * 订单号
     */
    @Excel(name = "订单号")
    private String orderNo;
    /**
     * 订单状态
     */
    @Excel(name = "订单状态")
    private String orderStatus;
    /**
     * 订单总金额
     */
    @Excel(name = "订单总金额")
    private String totalAmount;
    /**
     * 订单创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "订单创建时间",defaultValue = "2024-8-15 10:00:57",type = "Date")
    private Date createTime;

    /**
     * 订单更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "订单更新时间",defaultValue = "2024-5-15 10:00:52",type = "Date")
    private Date updateTime;
    /**
     * 订单备注
     */
    @Excel(name = "订单备注")
    private String note;


}
