package com.muyu.market.admain.response;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "订单查询", description = "订单查询")
public class OrderSelectResp {

    /**
     * 订单的唯一标识
     */
    @Schema(type = "Long",description = "订单ID",defaultValue = "1")
    private Long orderId;
    /**
     * 用户名
     */
    @Schema(type = "String",defaultValue = "用户名",description = "用户名")
    private Long userId;
    /**
     * 订单号
     */
    @Schema(type = "String",defaultValue = "订单号",description = "订单号")
    private String orderNo;
    /**
     * 订单状态
     */
    @Schema(type = "String",defaultValue = "订单状态",description = "订单状态")
    private String orderStatus;
    /**
     * 订单总金额
     */
    @Schema(type = "String",defaultValue = "订单总金额",description = "订单总金额")
    private String totalAmount;
    /**
     * 订单创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "订单创建时间",defaultValue = "2024-5-15 10:00:52",type = "Date")
    private Data createTime;
    /**
     * 订单更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "订单更新时间",defaultValue = "2024-5-15 10:00:52",type = "Date")
    private Data updateTime;
    /**
     * 订单备注
     */
    @Schema(type = "String",defaultValue = "订单备注",description = "订单备注")
    private String note;

}
